Package wx :: Class ListEvent

[frames | no frames]

## Type ListEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            ListEvent

Proxy of C++ ListEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
long | `GetCacheFrom(self)`
long | `GetCacheTo(self)`
int | `GetCode(self)`
int | `GetColumn(self)`
long | `GetData(self)`
int | `GetImage(self)`
long | `GetIndex(self)`
ListItem | `GetItem(self)`
int | `GetKeyCode(self)`
String | `GetLabel(self)`
long | `GetMask(self)`
Point | `GetPoint(self)`
Point | `GetPosition(self)`
String | `GetText(self)`
bool | `IsEditCancelled(self)`
| `SetEditCanceled(self, editCancelled)`

Property Summary
| `CacheFrom`: See `GetCacheFrom`
| `CacheTo`: See `GetCacheTo`
| `Column`: See `GetColumn`
| `Data`: See `GetData`
| `Image`: See `GetImage`
| `Index`: See `GetIndex`
| `Item`: See `GetItem`
| `KeyCode`: See `GetKeyCode`
| `Label`: See `GetLabel`
| `m_code`
| `m_col`
| `m_item`
| `m_itemIndex`
| `m_oldItemIndex`
| `m_pointDrag`
| `Mask`: See `GetMask`
| `Point`: See `GetPoint`
| `Text`: See `GetText`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, id=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### CacheFrom

See `GetCacheFrom`

  Get Method:
    `GetCacheFrom`(self)

### CacheTo

See `GetCacheTo`

  Get Method:
    `GetCacheTo`(self)

### Column

See `GetColumn`

  Get Method:
    `GetColumn`(self)

### Data

See `GetData`

  Get Method:
    `GetData`(self)

### Image

See `GetImage`

  Get Method:
    `GetImage`(self)

### Index

See `GetIndex`

  Get Method:
    `GetIndex`(self)

### Item

See `GetItem`

  Get Method:
    `GetItem`(self)

### KeyCode

See `GetKeyCode`

  Get Method:
    `GetKeyCode`(self)

### Label

See `GetLabel`

  Get Method:
    `GetLabel`(self)

### Mask

See `GetMask`

  Get Method:
    `GetMask`(self)

### Point

See `GetPoint`

  Get Method:
    `GetPoint`(self)

### Text

See `GetText`

  Get Method:
    `GetText`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:47 2007 | http://epydoc.sf.net